Bug 1126178 - [abrt] exaile: set_icon_stock_pixbuf(): python2.7 killed by SIGSEGV
Summary: [abrt] exaile: set_icon_stock_pixbuf(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9153a2c8b575b718fb61da7a277...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 07:46 UTC by Gwendal
Modified: 2015-06-29 21:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:55:09 UTC


Attachments (Terms of Use)
File: backtrace (84.44 KB, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details
File: core_backtrace (42.06 KB, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details
File: dso_list (21.35 KB, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details
File: environ (1.43 KB, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details
File: exploitable (110 bytes, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details
File: maps (97.72 KB, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details
File: open_fds (1.34 KB, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details
File: var_log_messages (189 bytes, text/plain)
2014-08-03 07:47 UTC, Gwendal
no flags Details

Description Gwendal 2014-08-03 07:46:59 UTC
Description of problem:
I was doing a drag and drop of a folder of songs into a new playlist.

Version-Release number of selected component:
exaile-3.3.2-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
crash_function: set_icon_stock_pixbuf
executable:     /usr/bin/python2.7
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 set_icon_stock_pixbuf at gtkdnd.c:3176
 #1 gtk_drag_set_icon_pixbuf at gtkdnd.c:3215
 #2 _wrap_gtk_drag_set_icon_pixbuf at gdk.c:6170
 #3 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4098
 #4 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #5 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:3330
 #6 function_call at /usr/src/debug/Python-2.7.5/Objects/funcobject.c:526
 #7 PyObject_Call at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
 #8 instancemethod_call at /usr/src/debug/Python-2.7.5/Objects/classobject.c:2602
 #9 PyObject_Call at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529

Comment 1 Gwendal 2014-08-03 07:47:04 UTC
Created attachment 923550 [details]
File: backtrace

Comment 2 Gwendal 2014-08-03 07:47:06 UTC
Created attachment 923551 [details]
File: cgroup

Comment 3 Gwendal 2014-08-03 07:47:08 UTC
Created attachment 923552 [details]
File: core_backtrace

Comment 4 Gwendal 2014-08-03 07:47:10 UTC
Created attachment 923553 [details]
File: dso_list

Comment 5 Gwendal 2014-08-03 07:47:12 UTC
Created attachment 923554 [details]
File: environ

Comment 6 Gwendal 2014-08-03 07:47:13 UTC
Created attachment 923555 [details]
File: exploitable

Comment 7 Gwendal 2014-08-03 07:47:14 UTC
Created attachment 923556 [details]
File: limits

Comment 8 Gwendal 2014-08-03 07:47:18 UTC
Created attachment 923557 [details]
File: maps

Comment 9 Gwendal 2014-08-03 07:47:20 UTC
Created attachment 923558 [details]
File: open_fds

Comment 10 Gwendal 2014-08-03 07:47:21 UTC
Created attachment 923559 [details]
File: proc_pid_status

Comment 11 Gwendal 2014-08-03 07:47:22 UTC
Created attachment 923560 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:33:07 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:55:09 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.